/***********************************************************************************************************************
 *
 * OpenBlueSky - NetBeans Platform Enhancements
 * ============================================
 *
 * Copyright (C) 2007-2010 by Tidalwave s.a.s.
 * Project home page: http://openbluesky.kenai.com
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: AboutAction.java,v f08c9e82b8fe 2010/03/28 23:40:09 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.netbeans.about;

import javax.annotation.Nonnull;
import org.openide.util.HelpCtx;
import org.openide.util.actions.CallableSystemAction;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: AboutAction.java,v f08c9e82b8fe 2010/03/28 23:40:09 fabrizio $
 *
 **********************************************************************************************************************/
public final class AboutAction extends CallableSystemAction  
  {
    @Override
    public void performAction()
      {
        new AboutDialog().setVisible(true);
      }

    @Override @Nonnull
    public String getName()
      {
        return "AboutAction";
      }

    @Override @Nonnull
    public HelpCtx getHelpCtx()
      {
        return HelpCtx.DEFAULT_HELP;
      }
  }
