/*******************************************************************************
 *
 * OpenBlueSky - Enhanced NetBeans RCP Components
 * =====================================================
 *
 * Copyright (C) 2003-2009 by Fabrizio Giudici
 * Project home page: http://openbluesky.dev.java.net
 *
 *******************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 *
 *******************************************************************************
 *
 * $Id: EditableImagePrintCookie.java,v f17245cd751a 2010/03/14 17:14:28 fabrizio $
 *
 ******************************************************************************/
package it.tidalwave.netbeans.print;

//import it.tidalwave.image.EditableImage;
//import it.tidalwave.image.op.PrintOp;
import it.tidalwave.netbeans.dialog.DialogRunner;
import org.openide.cookies.PrintCookie;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: EditableImagePrintCookie.java,v f17245cd751a 2010/03/14 17:14:28 fabrizio $
 *
 ******************************************************************************/
public abstract class EditableImagePrintCookie implements PrintCookie
  {
    public final void print()
      {
        try
          {
//            final EditableImage image = getEditableImage();

//            if (image != null)
              {
//                image.execute(new PrintOp());
              }
          }
        catch (Throwable t)
          {
            DialogRunner.notifyError(t);
          }
      }
    
//    protected abstract EditableImage getEditableImage();
    
    @Override
    public String toString()
      {
        return "EditableImagePrintCookie[]";    
      }
  }
