/*******************************************************************************
 *
 * OpenBlueSky - Enhanced NetBeans RCP Components
 * =====================================================
 *
 * Copyright (C) 2003-2009 by Fabrizio Giudici
 * Project home page: http://openbluesky.dev.java.net
 *
 *******************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 *
 *******************************************************************************
 *
 * $Id: PrintSupport.java,v f17245cd751a 2010/03/14 17:14:28 fabrizio $
 *
 ******************************************************************************/
package it.tidalwave.netbeans.print;

import org.openide.util.Lookup;
import org.openide.cookies.PrintCookie;
import org.openide.nodes.AbstractNode;
import org.openide.nodes.Children;
import org.openide.nodes.Node;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: PrintSupport.java,v f17245cd751a 2010/03/14 17:14:28 fabrizio $
 * 
 * @deprecated
 *
 ******************************************************************************/
@Deprecated
public final class PrintSupport 
  {
    private PrintSupport() 
      {
      }
    
    public static Lookup createPrintingLookup (final PrintCookie printCookie)
      {
        final Node node = new AbstractNode(Children.LEAF)
          {{
            getCookieSet().add(printCookie);
          }};
          
        return node.getLookup();
      }
  }
