/***********************************************************************************************************************
 *
 * OpenBlueSky - NetBeans Platform Enhancements
 * ============================================
 *
 * Copyright (C) 2007-2010 by Tidalwave s.a.s.
 * Project home page: http://openbluesky.kenai.com
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: MockPersistenceConfigurator.java,v f17245cd751a 2010/03/14 17:14:28 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.netbeans.persistence.mock;

import javax.annotation.Nonnull;
import java.util.Properties;
import org.openide.util.lookup.ServiceProvider;
import it.tidalwave.netbeans.persistence.spi.PersistenceConfigurator;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: MockPersistenceConfigurator.java,v f17245cd751a 2010/03/14 17:14:28 fabrizio $
 *
 **********************************************************************************************************************/
@ServiceProvider(service=PersistenceConfigurator.class)
public class MockPersistenceConfigurator implements PersistenceConfigurator
  {
    @Override @Nonnull
    public Properties initialize()
      {
        final Properties properties = new Properties();
        return properties;
      }

    @Override @Nonnull
    public String getPersistenceUnitName()
      {
        return "PU";
      }

    @Override
    public void shutdown()
      {
      }
  }
