/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.netbeans.platformx.inject.api;

import javax.annotation.Nonnull;
import java.util.Collection;
import org.openide.util.Lookup;

/**
 *
 * @author fritz
 */
public abstract class Injector
  {
    @Nonnull
    public static Injector getDefault()
      {
        final Lookup lookup = Lookup.getDefault();
        final Injector injector = lookup.lookup(Injector.class);

        if (injector == null)
          {
            throw new RuntimeException("Can't find an Injector");
          }

        return injector;
      }
    
    public abstract void inject (final @Nonnull Object object,
                                 final @Nonnull Lookup lookup);

    public abstract void inject (final @Nonnull Collection<Object> objects,
                                 final @Nonnull Lookup lookup);
  }
