/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package it.tidalwave.netbeans.visual.action;

import java.awt.event.MouseEvent;
import java.io.Serializable;
import org.netbeans.api.visual.action.WidgetAction;
import org.netbeans.api.visual.action.WidgetAction.State;
import org.netbeans.api.visual.action.WidgetAction.WidgetMouseEvent;
import org.netbeans.api.visual.widget.Widget;

/***********************************************************************************************************************
 *
 * This action brings a Widget to front whenever the mouse is clicked on it.
 *
 **********************************************************************************************************************/
public class BringToFrontAction extends WidgetAction.Adapter implements Serializable
  {
    private static final long serialVersionUID = 43533767442343245L;

    @Override
    public State mouseClicked (final Widget widget, final WidgetMouseEvent event)
      {
        if (event.getButton() == MouseEvent.BUTTON1)
          {
            widget.bringToFront();
            return State.CONSUMED;
          }

        return State.REJECTED;
      }
  }

