/***********************************************************************************************************************
 *
 * OpenBlueSky - NetBeans Platform Enhancements
 * ============================================
 *
 * Copyright (C) 2007-2010 by Tidalwave s.a.s.
 * Project home page: http://openbluesky.kenai.com
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: TableManipulatorTest.java,v 7370f7765227 2010/04/05 00:13:16 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.netbeans.persistence.maintenance.impl;

import java.sql.Connection;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
//import static org.junit.Assert.*;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: TableManipulatorTest.java,v 7370f7765227 2010/04/05 00:13:16 fabrizio $
 *
 **********************************************************************************************************************/
public class TableManipulatorTest extends MaintainerTestSupport
  {
    private Connection connection;
    private Maintainer maintainer;
    
    @Before
    public void setup() 
      throws Exception
      {
        connection = createConnection();
        maintainer = new Maintainer();
      }
    
    @After
    public void after()
      throws Exception
      {
        connection.close();
        maintainer = null;
      }
    
    @Test
    public void dummy()
      {
      }
    
//    @Test
//    public void testInitialize1()
//      throws SQLException
//      {
//        final TableManipulator tm = new TableManipulator(Entity1.class, maintainer, connection);
//        tm.initialize(); //"ENTITY1");
//        assertEquals("ENTITY1", tm.sourceTableName);
//        assertEquals("ENTITY1_TMP", tm.tempTableName);
//        assertEquals("CREATE TABLE ENTITY1_TMP(OLD_ID INTEGER, INT1 INTEGER, OLD_INT2 INTEGER, STRING1 VARCHAR(10), OLD_STRING2 VARCHAR(10))", tm.createTableSQL);
//        assertEquals(Arrays.asList("OLD_ID", "INT1", "OLD_INT2", "STRING1", "OLD_STRING2"), tm.columns);
//      }
//
//    @Test
//    public void testInitialize2()
//      throws SQLException
//      {
//        final TableManipulator tm = new TableManipulator(Entity2.class, maintainer, connection);
//        tm.initialize("ENTITY2");
//        assertEquals("ENTITY2", tm.sourceTableName);
//        assertEquals("ENTITY2_TMP", tm.tempTableName);
//        assertEquals("CREATE TABLE ENTITY2_TMP(OLD_ID INTEGER, INT1 INTEGER, OLD_INT2 INTEGER, STRING1 VARCHAR(10), OLD_STRING2 VARCHAR(10))", tm.createTableSQL);
//        assertEquals(Arrays.asList("OLD_ID", "INT1", "OLD_INT2", "STRING1", "OLD_STRING2"), tm.columns);
//      }
//
//    @Test
//    public void testCreateTemporaryTable1()
//      throws SQLException
//      {
//        final TableManipulator tm = new TableManipulator(Entity1.class, maintainer, connection);
//        tm.initialize("ENTITY1");
//        tm.createTemporaryTable();
//      }
//
//    @Test
//    public void testCreateTemporaryTable2()
//      throws SQLException
//      {
//        final TableManipulator tm = new TableManipulator(Entity2.class, maintainer, connection);
//        tm.initialize("ENTITY2");
//        tm.createTemporaryTable();
//      }
//
//    @Test
//    public void testRestoreTable1()
//      throws SQLException
//      {
//        final TableManipulator tm = new TableManipulator(Entity1.class, maintainer, connection);
//        tm.initialize("ENTITY1");
//        tm.createTemporaryTable();
//        tm.restoreTable();
//      }
//
//    @Test
//    public void testRestoreTable2()
//      throws SQLException
//      {
//        final TableManipulator tm = new TableManipulator(Entity2.class, maintainer, connection);
//        tm.initialize("ENTITY2");
//        tm.createTemporaryTable();
//        tm.restoreTable();
//      }
  }